LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XResetListener Interface Referencepublished

is the interface for receiving notifications about reset events. More...

`import"XResetListener.idl";`

Inheritance diagram for XResetListener:

## Public Member Functions
boolean | approveReset ([in] com::sun::star::lang::EventObject rEvent)
| is invoked before a component is reset. More...
void | resetted ([in] com::sun::star::lang::EventObject rEvent)
| is invoked when a component has been reset. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is the interface for receiving notifications about reset events.

The listener is called if a component implementing the XReset interface performs a reset.
Order of events:

- a reset is triggered on a component
- the component calls XReset::approveReset() on all its listeners
- if all listeners approve the reset operation, the data is reset
- the component calls XReset::resetted() on all its listeners

See also
  XReset

## Member Function Documentation

## ◆ approveReset()

boolean approveReset | ( | [in] com::sun::star::lang::EventObject | rEvent | ) |

is invoked before a component is reset.

Parameters

  rEvent | the event happened.

Returns
  `TRUE` when reset was approved, `FALSE` when the reset operation should be canceled.

## ◆ resetted()

void resetted | ( | [in] com::sun::star::lang::EventObject | rEvent | ) |

is invoked when a component has been reset.

Parameters

  rEvent | the event happened.

The documentation for this interface was generated from the following file:

- com/sun/star/form/XResetListener.idl